JavaCompileTaskOperationResult.AnnotationProcessorResult.Type (Gradle API 9.6.0)
Description: declaration: package: org.gradle.tooling.events.task.java, interface: JavaCompileTaskOperationResult, interface: AnnotationProcessorResult, enum: Type

Package org.gradle.tooling.events.task.java

# Enum JavaCompileTaskOperationResult.AnnotationProcessorResult.Type

java.lang.Object
java.lang.Enum<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>
org.gradle.tooling.events.task.java.JavaCompileTaskOperationResult.AnnotationProcessorResult.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>`, `Constable`

Enclosing interface:
  `JavaCompileTaskOperationResult.AnnotationProcessorResult`

public static enum JavaCompileTaskOperationResult.AnnotationProcessorResult.Type extends Enum<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>
Type of annotation processor.

Since:
  5.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGGREGATING`
  `ISOLATING`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ISOLATING

    public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type ISOLATING

  - ### AGGREGATING

    public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type AGGREGATING

  - ### UNKNOWN

    public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type UNKNOWN

- ## Method Details

  - ### values

    public static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null